Skip to main content
PUT
/
1
/
columns
/
{datasetSlug}
/
{columnId}
Update a Column
curl --request PUT \
  --url https://api.honeycomb.io/1/columns/{datasetSlug}/{columnId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "key_name": "my_column",
  "type": "integer",
  "description": "An integer column",
  "hidden": false
}
'
{
  "id": "yUheCUmgZ8p",
  "key_name": "my_column",
  "hidden": false,
  "description": "",
  "type": "string",
  "last_written": "2022-07-26T22:38:05Z",
  "created_at": "2022-07-26T22:38:04Z",
  "updated_at": "2022-07-26T22:38:04Z"
}

Path Parameters

datasetSlug
string
required

The dataset slug.

columnId
string
required

Unique identifier (ID) of a column.

Body

application/json
key_name
string
required

Name of the Column.

Required string length: 1 - 255
Example:

"my_column"

type
enum<string>
default:string

Type of data that the Column will contain. Histogram is in beta and only works in your Metrics dataset.

Available options:
string,
float,
integer,
boolean,
histogram
Example:

"integer"

description
string

Column description.

Maximum string length: 255
Example:

"An integer column"

hidden
boolean
default:false

If true, the column is excluded from autocomplete and raw data field lists.

Response

Success

key_name
string
required

Name of the Column.

Required string length: 1 - 255
Example:

"my_column"

type
enum<string>
default:string

Type of data that the Column will contain. Histogram is in beta and only works in your Metrics dataset.

Available options:
string,
float,
integer,
boolean,
histogram
Example:

"integer"

description
string

Column description.

Maximum string length: 255
Example:

"An integer column"

hidden
boolean
default:false

If true, the column is excluded from autocomplete and raw data field lists.

id
string

Unique identifier (ID), returned in response bodies.

last_written
string

ISO8601 formatted time the column was last written to (received event data).

created_at
string

ISO8601 formatted time the column was created.

updated_at
string

ISO8601 formatted time the column was updated.